Upgrade (or not) from version 1.7.4 (to 1.8.1 or 1.7.7)?

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Upgrade (or not) from version 1.7.4 (to 1.8.1 or 1.7.7)?

Postby Fantasia_00 » 06. February 2013 08:29

Hello Apache Friends,

I wanted to install (first time) the Xampp for Windows version 1.8.1 using the installer "xampp-win32-1.8.1-VC9-installer.exe" on URL (http://www.apachefriends.org/en/xampp-windows.html) and followed the instructions given.

But, somehow, the installer became "xampp-win32-1.7.4-VC6-installer.exe" in my personal downloads folder (I did not notice it then) and it installed Xampp 1.7.4 instead.

I am not an expert in computers, so I try to follow carefully the steps... I do not understand what happened...

Here are my questions (I am sorry if they seem basic...):

1 - Is version 1.7.4 fully compatible with version 1.7.7 (this one is used in the computers in the class I am attending)?

2 - Can / Should I upgrade to version 1.8.1 or 1.7.7 (or just leave my actual 1.7.4 version as is)?

Please note that I had to manually change specifications in 2 files for the Apache ports (using the topic http://community.apachefriends.org/f/viewtopic.php?p=51971) in order to get Apache running.

I would like to get some advice before proceeding with the local installation of WordPress.

Thanks in advance.
Fantasia_00
 
Posts: 15
Joined: 06. February 2013 07:18
XAMPP Version: 5.6.3
Operating System: Windows 7 64-bit

Re: Upgrade (or not) from version 1.7.4 (to 1.8.1 or 1.7.7)?

Postby Altrea » 06. February 2013 10:23

Hi Fantasia_00,

Fantasia_00 wrote:1 - Is version 1.7.4 fully compatible with version 1.7.7 (this one is used in the computers in the class I am attending)?

generally: yes it is. But there are a few differences of course.

Fantasia_00 wrote:2 - Can / Should I upgrade to version 1.8.1 or 1.7.7 (or just leave my actual 1.7.4 version as is)?

I would uninstall XAMPP 1.7.4 and install XAMPP 1.7.7 to be as close as possible to your class computers.
XAMPP 1.7.4 was not the most secure and stable release.
Please follow the How to "upgrade" guide and never istall a newer version over an older one (XAMPP is not upgradeable!
The older versions of XAMPP can be found at sourceforge, for example XAMPP 1.7.7 for Windows

best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6617
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: W7Ux64

Re: Upgrade (or not) from version 1.7.4 (to 1.8.1 or 1.7.7)?

Postby Fantasia_00 » 06. February 2013 15:17

Hello Altrea,

I will try your solution this evening, when I am back from the office.

I will let you know how everything goes.

Thank you very much and have a nice day!
Fantasia_00
 
Posts: 15
Joined: 06. February 2013 07:18
XAMPP Version: 5.6.3
Operating System: Windows 7 64-bit

Re: Upgrade (or not) from version 1.7.4 (to 1.8.1 or 1.7.7)?

Postby Fantasia_00 » 10. February 2013 02:40

Hello again,

As Altrea kindly suggested, I removed (uninstalled) XAMPP version 1.7.4 and installed version 1.8.1 (the teacher said the class would be updating as well...).

I managed to get Apache and MySQL running after changing the ports numbers.

I could then access phpMyAdmin, but now I have problems with the password...

For this matter I will start a new thread called: Problem with password in phpMyAdmin log in window

Thanks to everyone for the very interesting contributions to this forum.
Fantasia_00
 
Posts: 15
Joined: 06. February 2013 07:18
XAMPP Version: 5.6.3
Operating System: Windows 7 64-bit


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 56 guests